<a id="readme-top"></a>

[![Issues][issues-shield]][issues-url]
[![License][license-shield]][license-url]
[![LinkedIn][linkedin-shield]][linkedin-url]

<div align="center">
    <a href="https://gitlab.com/pncls/portio">
        <img src="assets/logo/portio_logo_192px.png" alt="Logo" width="192" height="192">
    </a>
    <h3>Portio</h3>
    <p>The app that makes meal prep easier!</p>
    <a href="https://play.google.com/store/apps/details?id=com.portio">
        <img src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png" alt="Get it on Google Play" height="80" />
    </a><br />
    <a href="https://gitlab.com/pncls/portio/-/issues/new">
        <strong>Report Bug or Request Feature »</strong>
    </a>
</div>

## About The Project

Make meal prep easier with this app designed for batch cooking. No more guessing portions—just weigh your dish, and the app calculates the perfect distribution.

- Easily divide your meals: Weigh your full pot, and the app tells you how much to put in each container.

- Customize portions for each participant: Adjust quantities based on individual needs.
- Save time with pre-recorded containers: Store empty container weights for automatic calculations.

🍽️ Stay organized and reduce waste by distributing your meals smartly!

### Screenshots

<p>
  <img src="assets/illustrations/screenshot0.png" width="200" alt="screenshot1" style="border:1px solid #ccc; border-radius:8px;"/>
  <img src="assets/illustrations/screenshot1.png" width="200" alt="screenshot1" style="border:1px solid #ccc; border-radius:8px;"/>
  <img src="assets/illustrations/screenshot2.png" width="200" alt="screenshot1" style="border:1px solid #ccc; border-radius:8px;"/>
  <img src="assets/illustrations/screenshot3.png" width="200" alt="screenshot1" style="border:1px solid #ccc; border-radius:8px;"/>
</p>

## Contributing

Portio is a free and open source project. Any contributions are **greatly appreciated**. Here are a few ways you can help:

- [Report bugs and make suggestions.](https://gitlab.com/pncls/portio/-/issues)
- Translate the app.

## License

This application is released under the [GNU General Public License v3.0](https://www.gnu.org/licenses/gpl-3.0.html). See the [LICENSE](LICENSE) file for the full license text.

```html
Portio - Make meal prep easier
Copyright (C) 2025 Pierre NICOLAS

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
```

## Contact

Pierre NICOLAS - https://www.linkedin.com/in/pncls/

[issues-shield]: https://img.shields.io/gitlab/issues/open/pncls/portio?style=for-the-badge
[issues-url]: https://gitlab.com/pncls/portio/-/issues
[license-shield]: https://img.shields.io/badge/license-GPLv3-blue?style=for-the-badge
[license-url]: https://gitlab.com/pncls/portio/-/blob/master/LICENSE
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=for-the-badge&logo=linkedin&colorB=555
[linkedin-url]: https://www.linkedin.com/in/pncls/